ON_3dmIOSettings Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmIOSettings ()
void | Default ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const

## Public Attributes

bool | m_bSaveTextureBitmapsInFile
int | m_idef_link_update

## Detailed Description

Definition at line 758 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmIOSettings()

ON_3dmIOSettings::ON_3dmIOSettings | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmIOSettings::Default | ( |  | ) |

## Read()

bool ON_3dmIOSettings::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmIOSettings::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bSaveTextureBitmapsInFile

bool ON_3dmIOSettings::m_bSaveTextureBitmapsInFile

Definition at line 769 of file opennurbs_3dm_settings.h.

## m_idef_link_update

int ON_3dmIOSettings::m_idef_link_update

Definition at line 775 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h